- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

# JGBKFont Member List

This is the complete list of members for JGBKFont, including all inherited members.

Init(const char *engFileName, const char *chnFileName, int fontsize=16, bool smallEnglishFont=false) | JGBKFont |
JGBKFont() | JGBKFont |
PreCacheChar(const BYTE *ch) | JGBKFont |
PrepareString(BYTE *str, int *dest) | JGBKFont |
RenderEncodedString(const int *text, int count, float x, float y) | JGBKFont |
RenderString(BYTE *str, float x, float y, int alignment=JGETEXT_LEFT) | JGBKFont |
SetBgColor(PIXEL_TYPE color) | JGBKFont |
SetColor(PIXEL_TYPE color) | JGBKFont |
SetRotation(float rot) | JGBKFont |
SetScale(float scale) | JGBKFont |